de.esprit.netsuite.client.pathtree.action

## Class ClientPathTreeSelectionAction<C extends ClientContext,T extends PathTree>

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.netsuite.client.gui.action.ClientAction<C>
      - - de.esprit.netsuite.client.gui.action.ClientTreeSelectionAction<C,T>
        - - de.esprit.netsuite.client.pathtree.action.ClientPathTreeSelectionAction<C,T>

- All Implemented Interfaces:
    ApplicationObject<C>, ErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action
  Direct Known Subclasses:
    ClientPathTreeArchiveAction, FileDownloadAction, FileUploadAction, RemoteDeletePathAction

      public abstract class ClientPathTreeSelectionAction<C extends ClientContext,T extends PathTree>
      extends ClientTreeSelectionAction<C,T>

  This action is only enabled when a path is selected in the `ClientPathTree`. It implements all helper methods defined in `PathTreeAdapter`.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientPathTreeSelectionAction(C clientCtx, T tree, NlsActionKey nls)`
    `ClientPathTreeSelectionAction(C clientCtx, T tree, NlsActionKey nls, ActionValidator validator)`
    `ClientPathTreeSelectionAction(C clientCtx, T tree, NlsActionKey nls, IconKey iconKey)`
    `ClientPathTreeSelectionAction(C clientCtx, T tree, NlsActionKey nls, IconKey iconKey, ActionValidator validator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.io.File` | `getSelectedFile()`
    `protected PathTreeNode` | `getSelectedNode()`
    `protected boolean` | `isArchive()`
    `protected boolean` | `isDirectory()`
    `protected boolean` | `isLeafNode()`
    `protected boolean` | `isRootNode()`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.ClientTreeSelectionAction

      `checkEnableCondition, getSelectionPath, getTree`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.ClientAction

      `actionFailed, getClientContext, getSessionId, isConnectionSensitive, isLoggedIn, isOffline, isOnline, setConnectionSensitive`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionFired, actionPerformed, actionSucceeded, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientPathTreeSelectionAction

          public ClientPathTreeSelectionAction(C clientCtx,
                                       T tree,
                                       NlsActionKey nls)

    - #### ClientPathTreeSelectionAction

          public ClientPathTreeSelectionAction(C clientCtx,
                                       T tree,
                                       NlsActionKey nls,
                                       ActionValidator validator)

    - #### ClientPathTreeSelectionAction

          public ClientPathTreeSelectionAction(C clientCtx,
                                       T tree,
                                       NlsActionKey nls,
                                       IconKey iconKey)

    - #### ClientPathTreeSelectionAction

          public ClientPathTreeSelectionAction(C clientCtx,
                                       T tree,
                                       NlsActionKey nls,
                                       IconKey iconKey,
                                       ActionValidator validator)

  - ### Method Detail

    - #### getSelectedNode

          protected final PathTreeNode getSelectedNode()

    - #### getSelectedFile

          protected final java.io.File getSelectedFile()

    - #### isRootNode

          protected final boolean isRootNode()

    - #### isLeafNode

          protected final boolean isLeafNode()

    - #### isDirectory

          protected final boolean isDirectory()

    - #### isArchive

          protected final boolean isArchive()

Copyright © 2013 EsprIT-Systems. All Rights Reserved.